> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Inbox-tracking

> API to get inbox tracking details. Date period is required (date_from & date_to), campaign_id is optional, domain is optional



## OpenAPI

````yaml /openapi-v1.json post /inbox-tracking
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /inbox-tracking:
    post:
      tags:
        - Inbox Tracker
      summary: Inbox-tracking
      description: >-
        API to get inbox tracking details. Date period is required (date_from &
        date_to), campaign_id is optional, domain is optional
      operationId: inbox-tracking
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: Request body type
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  date_from: '2025-02-14'
                  date_to: '2025-02-16'
                  campaign_id: Hws
                  domain: example
              required:
                - date_from
                - date_to
              properties:
                date_from:
                  type: string
                  description: 'Date format: "2010-01-01"'
                date_to:
                  type: string
                  description: 'Date format: "2010-01-01"'
                campaign_id:
                  type: string
                domain:
                  type: string
                  description: Filter data by domains (Gmail,Yahoo etc)
            examples:
              Example-1:
                value:
                  date_from: '2025-02-14'
                  date_to: '2025-02-16'
                  campaign_id: Hws
                  domain: example
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  campaigns:
                    type: array
                    items:
                      type: object
                      properties:
                        campaign_id:
                          type: string
                        campaign_name:
                          type: string
                        campaign_subject:
                          type: string
                        inbox_percentage:
                          type: integer
                        missed_percentage:
                          type: integer
                        spam_percentage:
                          type: integer
                  providers:
                    type: array
                    items:
                      type: object
                      properties:
                        inbox_percentage:
                          type: number
                        missed_percentage:
                          type: number
                        name:
                          type: string
                        spam_percentage:
                          type: number
                  summary:
                    type: object
                    properties:
                      inbox_percentage:
                        type: number
                      missed_percentage:
                        type: number
                      spam_percentage:
                        type: number
                x-examples:
                  Example 1:
                    campaigns:
                      - campaign_id: wuw
                        campaign_name: Copy (1) - Email Disclaimer - 1
                        campaign_subject: Email Disclaimer - 1
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: wff
                        campaign_name: Default Speed String Fix - 1
                        campaign_subject: Default Speed String Fix - 1
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: wyS
                        campaign_name: Spintax - 1
                        campaign_subject: Spintax - 1 {Hello|Hi}
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: wyu
                        campaign_name: Spintax - 2
                        campaign_subject: Spintax - 2
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: wyw
                        campaign_name: Custom Conditions - 1
                        campaign_subject: Custom Conditions - 1
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: wyH
                        campaign_name: Pause Rules - 1
                        campaign_subject: Pause Rules - 1
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: wyZ
                        campaign_name: List master id - 1
                        campaign_subject: List master id - 1
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: Haa
                        campaign_name: Multiple sender - 1
                        campaign_subject: Multiple sender - 1
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: HaK
                        campaign_name: Senderid -1
                        campaign_subject: Senderid -1
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: HaS
                        campaign_name: Subscriber portion - 1
                        campaign_subject: Subscriber portion - 1
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: Haw
                        campaign_name: Multiple segments - 1
                        campaign_subject: Multiple segments - 1
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: HSu
                        campaign_name: Custom Condition Campaign - 1
                        campaign_subject: Custom Condition Campaign - 1
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: HfE
                        campaign_name: Exclude List ids -1
                        campaign_subject: Exclude List ids -
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: Hff
                        campaign_name: Copy (1) - Exclude List ids -1
                        campaign_subject: Exclude List ids -
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                      - campaign_id: HwS
                        campaign_name: Deletion - 1
                        campaign_subject: Deletion - 1
                        inbox_percentage: 79
                        missed_percentage: 0
                        spam_percentage: 21
                      - campaign_id: Hwu
                        campaign_name: Quota - 1
                        campaign_subject: Quota - 1
                        inbox_percentage: 0
                        missed_percentage: 100
                        spam_percentage: 0
                    providers:
                      - inbox_percentage: 5.1
                        missed_percentage: 94.12
                        name: gmail
                        spam_percentage: 0.78
                      - inbox_percentage: 2.94
                        missed_percentage: 94.85
                        name: others
                        spam_percentage: 2.21
                      - inbox_percentage: 3.43
                        missed_percentage: 93.63
                        name: outlook
                        spam_percentage: 2.94
                      - inbox_percentage: 4.71
                        missed_percentage: 94.12
                        name: yahoo
                        spam_percentage: 1.18
                    summary:
                      inbox_percentage: 4.65
                      missed_percentage: 94.12
                      spam_percentage: 1.24
              examples:
                Example-1:
                  value:
                    campaigns:
                      - campaign_id: string
                        campaign_name: string
                        campaign_subject: string
                        inbox_percentage: 0
                        missed_percentage: 0
                        spam_percentage: 0
                    providers:
                      - inbox_percentage: 0
                        missed_percentage: 0
                        name: string
                        spam_percentage: 0
                    summary:
                      inbox_percentage: 0
                      missed_percentage: 0
                      spam_percentage: 0
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                x-examples:
                  Example 1:
                    errors:
                      - field: domain
                        message: 'Domain must be one of: gmail, yahoo, outlook, others'
              examples:
                Example-1:
                  value:
                    errors:
                      - field: domain
                        message: 'Domain must be one of: gmail, yahoo, outlook, others'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                x-examples:
                  Example 1:
                    errors:
                      - field: ''
                        message: Authorization failed
              examples:
                Example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````